Download it now!
Bug 48111 - add English_Malawi [en-MW] locale data
Summary: add English_Malawi [en-MW] locale data
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 23:26 UTC by gleppert
Modified: 2012-04-04 08:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gleppert 2012-03-30 23:26:24 UTC
Currently Calc is missing the currency of Malawi: Malawi Kwacha (MWK) is not in the list of currencies in number formats.

1 MWK = 100 tambala (but tambala are rarely used)

Please see: http://en.wikipedia.org/wiki/Malawian_kwacha
Comment 1 Eike Rathke 2012-04-02 12:30:07 UTC
Currencies are part of LibO locale data, we could benefit from a set of ny_MW locale data. ny_MW because we already support Nyanja in the language list, assigned to the ny_MW locale. For how to contribute locale data please see https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data

Of course it's not necessary to create yet another issue in Bugzilla, as the wiki page suggests, just attach the data to this issue when ready.

Instead of ny_MW also en_MW could be used if we added English_Malawi to the language list, as English is an official language of Malawi according to http://en.wikipedia.org/wiki/Malawi, that may be easier than having to come up with Nyanja localization of calendar items and such ... If that's sufficient just leave a note here, I'll inherit en_MW from en_GB then and do the necessary changes.
Comment 2 gleppert 2012-04-03 12:23:51 UTC
Thanks Eike for your response.

I have just spoken today with someone from Malawi how to deal with the Malawi locale. The vast majority of people using computers is speaking English, so en_MW would be the way to go. It would be great if you could inherit en_MW. 

Zikomo!
Thank you!

By the way, the local language is officially referred to as Chichewa in Malawi, although the locale code ny_Mw is correct.
Comment 3 Not Assigned 2012-04-04 08:05:58 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9dce646fbc187a0ca0ef0b22a0a2bdd8845689d0

fdo#48111 added English_Malawi [en-MW] locale data
Comment 4 gleppert 2012-04-04 08:08:26 UTC
Thanks!